/*
(c) GAFit toolkit $Id: rstrings.h 113 2015-05-27 23:29:42Z ro $
*/

#ifndef _RSTRINGS_H_
#define _RSTRINGS_H_

#define NONUMBER 0
#define ISNUMBER 1
#define ISFLOAT  2

#define MAX_SIZE_DECIMAL_INTEGER(int_type) (sizeof(int_type)*3+1)

int sStr2Double (const char *str, double *a);
char *sInt2Ascii (int i);

char *sLowerCase (char *l);
char *sUpperCase (char *l);

char *sRtrim (char *s);
char *sLtrim (char *s);

char *sSRtrim (char *s);
char *sSLtrim (char *s);
void *rsTSpace (char *s);
int isBlankLine (char *s);

char *sInsString (char *str, char point, char *str2);
char *sReplaceString (char *s, char *search, char *replace);
#endif
